GET api/InternalApp/GetConfirmedOrderlinesByOrderId?orderId={orderId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| orderId | integer |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of OrderlineBriefViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| productId | integer |
None. |
|
| model | string |
None. |
|
| quantity | decimal number |
None. |
|
| negotiatedPricePerItem | decimal number |
None. |
|
| totalAmount | decimal number |
None. |
|
| status | string |
None. |
|
| orderId | integer |
None. |
|
| colour | string |
None. |
|
| capacity | string |
None. |
|
| brandId | integer |
None. |
|
| manufacture | integer |
None. |
|
| expiry | date |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"id": 1,
"productId": 2,
"model": "sample string 3",
"quantity": 1.0,
"negotiatedPricePerItem": 1.0,
"totalAmount": 1.0,
"status": "sample string 4",
"orderId": 1,
"colour": "sample string 5",
"capacity": "sample string 6",
"brandId": 1,
"manufacture": 1,
"expiry": "2026-03-11T04:41:38.5286716+00:00"
},
{
"$ref": "1"
}
]